% set background to grey
bg = 0.7;
im = bg*ones(50, 40);

% create the four objects
im = ipaste(im, ones(10), [10,10]);
im = ipaste(im, ones(1,2), [8,15]);
im = ipaste(im, ones(2,1), [15,8]);
im = ipaste(im, ones(5), [12,25]);

% add the protrusions to big square
im = ipaste(im, ones(2,20), [5,40]);
im = ipaste(im, ones(20,2),[35,5]);

% join the 2 squares
im(20:25,14)=1;
im=im';

% add Hole in bigger square
im = ipaste(im, bg*ones(2), [14,14]);

idisp(im)

imwrite (im, 'morph_test.png', 'png');

