clear all
flowers = iread('flowers4.png', 'double', 'gamma', 'sRGB'); 
flowers_hsv = colorspace('RGB->HSV', flowers);
flowers_grey = flowers_hsv(:,:,3);

flowers_grey_i = uint8(flowers_grey*255);

imwrite(flowers_grey,'flowersgrey.bmp','BMP');
imwrite(flowers_grey,'flowersgrey.jpeg','JPEG');
imwrite(flowers_grey,'flowersgrey_l.jpeg','JPEG','Mode','lossy','Quality',30);

flowers_grey_bmp = iread('flowersgrey.bmp');
flowers_grey_jpeg = iread('flowersgrey.jpeg');
flowers_grey_jpeg_l = iread('flowersgrey_l.jpeg');
idisp(flowers_grey_bmp - flowers_grey_i, 'cscale', [0,50], 'colormap', 'jet')
figure, idisp(flowers_grey_jpeg - flowers_grey_i, 'cscale', [0,50], 'colormap', 'jet')
figure, idisp(flowers_grey_jpeg_l - flowers_grey_i, 'cscale', [0,50], 'colormap', 'jet')